Subject: Re: [PATCH v2 net-next 1/9] phy: phy-ocelot-serdes: add ability to be used in a non-syscon configuration

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 21 Mar 2023 10:16:27 +0000

On Tue, Mar 21, 2023 at 08:26:58AM +0000, Lee Jones wrote:
> On Mon, 20 Mar 2023, Russell King (Oracle) wrote:
> 
> > On Mon, Mar 20, 2023 at 04:41:36PM +0000, Lee Jones wrote:
> > > On Mon, 20 Mar 2023, Russell King (Oracle) wrote:
> > >
> > > > On Mon, Mar 20, 2023 at 01:34:31PM +0000, Lee Jones wrote:
> > > > > Once again netdev seems to have applied patches from other subsystems
> > > > > without review/ack.  What makes netdev different to any other kernel
> > > > > subsystem?  What would happen if other random maintainers started
> > > > > applying netdev patches without appropriate review?  I suspect someone
> > > > > would become understandably grumpy.
> > > >
> > > > Why again are you addressing your whinge to me? I'm not one of the
> > > > netdev maintainers, but I've pointed out what happens in netdev
> > > > land. However, you seem to *not* want to discuss it directly with
> > > > DaveM/Jakub/Paolo - as illustrated again with yet another response
> > > > to *me* rather than addressing your concerns *to* the people who
> > > > you have an issue with.
> > > >
> > > > This is not communication. Effectively, this is sniping, because
> > > > rather than discussing it with the individuals concerned, you are
> > > > instead preferring to discuss it with others.
> > > >
> > > > Please stop this.
> > >
> > > Read the above paragraph again.
> >
> > You sent your email _TO_ me, that means you addressed your comments
> > primarily _to_ me. RFC2822:
> >
> >    The "To:" field contains the address(es) of the primary recipient(s)
> >    of the message.
> >
> >    The "Cc:" field (where the "Cc" means "Carbon Copy" in the sense of
> >    making a copy on a typewriter using carbon paper) contains the
> >    addresses of others who are to receive the message, though the
> >    content of the message may not be directed at them.
> 
> You're over-thinking it.  I replied to all.

I've been thinking about this entire situation and there's something
that summarises it. Kettle. Pot. Black.

You complain about how netdev is run, but you also complain about how
people interpret your emails.

Sorry, but no. I think you need to be more accomodating towards how
others perceive your emails, especially when there are widespread
accepted conventions. The fact that you are seemingly not even willing
to entertain that someone _might_ interpret your emails according to
standard normals is frankly a problem for you.

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!